package com.josyf.commandbuttons.gui;

import io.github.cottonmc.cotton.gui.GuiDescription;
import io.github.cottonmc.cotton.gui.client.CottonClientScreen;
import net.minecraft.client.gui.screen.Screen;

public class ButtonGUIScreen extends CottonClientScreen {

    private final Screen parent;

    public ButtonGUIScreen(GuiDescription description) {
        this(description, null);
    }

    public ButtonGUIScreen(GuiDescription description, Screen parent) {
        super(description);
        this.parent = parent;
    }

    @Override
    public void close() {
        if (this.client != null) {
            this.client.setScreen(this.parent);
        }
    }
}
