# 原README.md：
## 由于本项目对原项目进行了较大的改动，原项目的How to Use或许并没有太大帮助，但是我还是想保留

---

## Command GUI Buttons

Command GUI Buttons is a fabric mod for Minecraft that allows users to create custom command buttons on their clients. Users can bring up this menu in-game with the G key, type in the Name and Command they want to create a button for, and press the + to create. It will then show up as a button on their screen to use whenever they want, as the button will automatically type and execute the command they initially entered.

![mcss](https://user-images.githubusercontent.com/16052684/234972699-a2be88ae-e4df-4130-b5ce-0b881b827810.png)

Create buttons for preset chat messages, commands like '/warp home', or anything else that goes in the chat box.

## How to Use:

  - Bring up the menu in-game with the G key
  - Type in the Name and Command you want to save into a button
  - Press the + button



### How It Works
The list of commands are serialized into a JSON format and stored locally on the users’ systems. The mod writes any new commands into the JSON as new buttons are created, and loads the JSON at the start of the game. A local list instance exists for reading and loading the buttons each time, so that file reading is kept to a minimum.

---

# 该版本附加：
* 本项目基于 command-gui-buttons 二次开发，遵循 **GNU GPL v3 许可证**。
* 更多内容请见 [NOTICE](NOTICE.md) 文件。

# 该版本使用方法：
其实也非常简单，反正都差不多
![image](https://git.branulf.top/Branulf/command-gui-buttons-revive/raw/branch/master/libs/awa%20%282%29.png)
* 点击按钮执行
* 点击编辑按钮编辑
* 点击添加新命令按钮添加新的可执行按钮
![image](https://git.branulf.top/Branulf/command-gui-buttons-revive/raw/branch/master/libs/awa%20%281%29.png)
* 名称：显示在按钮上的
* 命令：要执行的，不带“/”
* 加号添加一条，减号删除当前行的一条

就是这么简单

### 同时，这个项目不会再更新